%define __python /usr/bin/python2.7
%global pybindir /usr/lib/python2.7/bin

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif


Name:           python27-healpy
Version:        1.5.0
Release:        1%{?dist}.2
Summary:        Healpy, a python wrapper for healpix

Group:          Development/Libraries
License:        MIT
URL:            https://github.com/healpy/healpy
Source0:        healpy-release-%{version}.zip
#Source1:	wmap_band_iqumap_r9_7yr_W_v4.fits
#Source2:	wmap_band_iqumap_r9_7yr_V_v4.fits
#Source3:	wmap_temperature_analysis_mask_r9_7yr_v4.fits
#Source4:	wmap_band_imap_r9_7yr_W_v4_1deg_nside32.fits
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python27-devel pyfits27 pygtk227
BuildRequires:  python27-setuptools
BuildRequires:	numpy27 python27-matplotlib Cython27
BuildRequires:	cfitsio-devel xorg-x11-server-Xvfb xorg-x11-drv-dummy tigervnc-server
BuildRequires:	environment-modules python27-nose
BuildRequires:	devtoolset-1.1 devtoolset-1.1-build
Requires:	pyfits27 python27-matplotlib cfitsio

%description
Healpy provides a python package to manipulate healpix maps. It is based on 
the standard numeric and visualisation tools for Python, Numpy and matplotlib.

%prep
%setup -q -n healpy-release-%{version}

%build
. /etc/profile.d/modules.sh
module load python/2.7
module load rh
export CFITSIO_EXT_INC="-I/usr/include/cfitsio"
export CFITSIO_EXT_LIB="-lcfitsio"
%{__python} setup.py build

%install
rm -rf %{buildroot}
. /etc/profile.d/modules.sh
module load python/2.7
module load rh
export CFITSIO_EXT_INC="-I/usr/include/cfitsio"
export CFITSIO_EXT_LIB="-lcfitsio"
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

#%check
#. /etc/profile.d/modules.sh
#module load python/2.7
#module load rh
#export PYTHONPATH=`cd build/lib* && pwd`/healpy
#install %{SOURCE1} %{SOURCE2} %{SOURCE3} healpy/test/data
#ln healpy/test/data/wmap*fits $PYTHONPATH/data
#cp -a healpy/wmap* healpy/test/data/
#export DISPLAY=:20
##Xorg -noreset +extension GLX +extension RANDR +extension RENDER :20 >/dev/null 2>&1 &
#Xvnc :20 >/dev/null 2>&1 &
#echo $! > Xvfb.pid
##Xvfb :20 -screen 0 800x600x24 -ac +extension RANDR&
#nosetests -v
#kill -9 `cat Xvfb.pid`
#unset DISPLAY
#rm -f Xvfb.pid

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.rst COPYING README.rst doc/*
%{python_sitearch}/healpy
%{python_sitearch}/healpy-%{version}-py?.?.egg-info


%changelog
* Wed Mar 13 2013 Josko Plazonic <plazonic@math.princeton.edu>
- initial packaging
